The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of QuickTime: multiple vulnerabilities

Synthesis of the vulnerability 

An attacker can invite the victim to display malicious documents with QuickTime, in order to execute code on his computer.
Vulnerable software: QuickTime.
Severity of this announce: 4/4.
Number of vulnerabilities in this bulletin: 12.
Creation date: 23/05/2013.
Références of this computer vulnerability: BID-60086, BID-60092, BID-60097, BID-60098, BID-60099, BID-60100, BID-60101, BID-60102, BID-60103, BID-60104, BID-60108, BID-60109, BID-60110, CERTA-2013-AVI-326, CVE-2013-0986, CVE-2013-0987, CVE-2013-0988, CVE-2013-0989, CVE-2013-1015, CVE-2013-1016, CVE-2013-1017, CVE-2013-1018, CVE-2013-1019, CVE-2013-1020, CVE-2013-1021, CVE-2013-1022, HT5770, VIGILANCE-VUL-12853, ZDI-13-080, ZDI-13-110, ZDI-13-111, ZDI-13-112, ZDI-13-113, ZDI-13-114, ZDI-13-115, ZDI-13-116, ZDI-13-117, ZDI-13-118, ZDI-13-119.

Description of the vulnerability 

Several vulnerabilities were announced in QuickTime.

An attacker can generate a memory corruption via TeXML, in order to trigger a denial of service, and possibly to execute code. [severity:4/4; BID-60110, CVE-2013-1015, ZDI-13-112]

An attacker can generate a buffer overflow via H.263, in order to trigger a denial of service, and possibly to execute code. [severity:4/4; BID-60092, CVE-2013-1016, ZDI-13-117]

An attacker can generate a buffer overflow in the processing of "dref" atoms, in order to trigger a denial of service, and possibly to execute code. [severity:4/4; BID-60097, CVE-2013-1017, ZDI-13-110]

An attacker can generate a buffer overflow via H.264, in order to trigger a denial of service, and possibly to execute code. [severity:4/4; BID-60098, CVE-2013-1018, ZDI-13-113]

An attacker can generate a buffer overflow via MP3, in order to trigger a denial of service, and possibly to execute code. [severity:4/4; BID-60101, CVE-2013-0989, ZDI-13-080]

An attacker can generate a buffer overflow in Sorenson, in order to trigger a denial of service, and possibly to execute code. [severity:4/4; BID-60102, CVE-2013-1019, ZDI-13-118]

An attacker can generate a memory corruption via JPEG, in order to trigger a denial of service, and possibly to execute code. [severity:4/4; BID-60108, CVE-2013-1020, ZDI-13-114]

An attacker can generate a memory corruption via QTIF, in order to trigger a denial of service, and possibly to execute code. [severity:4/4; BID-60109, CVE-2013-0987]

An attacker can generate a buffer overflow via JPEG, in order to trigger a denial of service, and possibly to execute code. [severity:4/4; BID-60103, CVE-2013-1021, ZDI-13-116]

An attacker can generate a buffer overflow in the processing of "enof" atoms, in order to trigger a denial of service, and possibly to execute code. [severity:4/4; BID-60099, CVE-2013-0986, ZDI-13-111]

An attacker can generate a buffer overflow via FPX, in order to trigger a denial of service, and possibly to execute code. [severity:4/4; BID-60100, CVE-2013-0988, ZDI-13-119]

An attacker can generate a buffer overflow in the processing of "mvhd" atoms, in order to trigger a denial of service, and possibly to execute code. [severity:4/4; BID-60104, CVE-2013-1022, ZDI-13-115]

An attacker can therefore invite the victim to display malicious documents with QuickTime, in order to execute code on his computer.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This computer threat announce impacts software or systems such as QuickTime.

Our Vigil@nce team determined that the severity of this computer vulnerability is critical.

The trust level is of type confirmed by the editor, with an origin of document.

This bulletin is about 12 vulnerabilities.

A proof of concept or an attack tool is available, so your teams have to process this alert. An attacker with a technician ability can exploit this cybersecurity alert.

Solutions for this threat 

QuickTime: version 7.7.4.
The version 7.7.4 is fixed:
  http://www.apple.com/quicktime/download/
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides an application vulnerability announce. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.